NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Die::AddendumSectionBuilder Class Reference

Represents a NXOpen::Die::AddendumSectionBuilder which is used to create or edit an addendum section. More...

Inheritance diagram for NXOpen::Die::AddendumSectionBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  SectionLocationType { SectionLocationTypeAtPoint, SectionLocationTypeAtPlane, SectionLocationTypeWithCurve }
 The settings indicating the location of the section being created. More...
 
enum  SectionOrientationType {
  SectionOrientationTypeDefault, SectionOrientationTypeThreeDPerpendicular, SectionOrientationTypeConjugate, SectionOrientationTypeIsoparametric,
  SectionOrientationTypeIncidentEdge, SectionOrientationTypeBlank
}
 The settings to indicate the section orientation. More...
 
enum  SectionShapeType {
  SectionShapeTypeBasic, SectionShapeTypeDrawBar, SectionShapeTypeSimple, SectionShapeTypeChannel,
  SectionShapeTypeBlend, SectionShapeTypeExtension, SectionShapeTypeSystem, SectionShapeTypeUserDefined,
  SectionShapeTypeReuse, SectionShapeTypeBlank
}
 The settings to indicate the section shape. More...
 
enum  SegmentParameterType { SegmentParameterTypeLength, SegmentParameterTypeAngle, SegmentParameterTypeRadius, SegmentParameterTypeArcLength }
 The settings to indicate which parameter of the segment to lock. More...
 
enum  SegmentType {
  SegmentTypePlus, SegmentTypePunch, SegmentTypeFirstStretchWall, SegmentTypeReverse,
  SegmentTypeTrimLedge, SegmentTypeDiePunch, SegmentTypeSecondStretchWall, SegmentTypeDieReverse,
  SegmentTypeFlatToBead
}
 The settings to indicate the segment type to update. More...
 
enum  SurfaceBuildType {
  SurfaceBuildTypeNoSurface, SurfaceBuildTypeSectional, SurfaceBuildTypeCurveMesh, SurfaceBuildTypeChannelTunnelCap,
  SurfaceBuildTypeMultipleFaceBlend, SurfaceBuildTypeWallsOnly, SurfaceBuildTypeDiskFaceBlend, SurfaceBuildTypeSphereFaceBlend
}
 The settings to indicate the surface type. More...
 

Public Member Functions

double AngleTolerance ()
 Returns the angle tolerance. More...
 
NXOpen::Die::DieAttributesBuilderAttributes ()
 Returns the color and string attributes of the section. More...
 
NXOpen::SectionByCurves ()
 Returns the curves used to approximate an addendum section. More...
 
void ChangeSectionPlane (NXOpen::Curve *section, NXOpen::Direction *plane)
 Changes the section orientation. More...
 
NXOpen::ScCollectorConstraintCurve ()
 Returns the constraint curve. More...
 
NXOpen::CurveConstraintCurveToEdit ()
 Returns the constraint curve to edit. More...
 
NXOpen::ScCollectorConstraintFaces ()
 Returns the constraint faces. More...
 
void CopySection (NXOpen::Curve *section, bool copyPlaneData)
 Copies addendum section in order to be pasted at another location. More...
 
NXOpen::SectionCreateExtendSection ()
 Creates a NXOpen::Section object containing the extended constraint curve. More...
 
void CreateSection ()
 Create addendum section using previously supplied parameters. More...
 
void CreateSectionFromReuse (const NXString &fileName)
 Creates a section using the information stored in the reuse library. More...
 
void CreateSectionFromReuse (const char *fileName)
 Creates a section using the information stored in the reuse library. More...
 
NXOpen::CurveCurveToExtend ()
 Returns the constraint curve to extend. More...
 
void CutSection (NXOpen::Curve *section, bool copyPlaneData)
 Cuts section in order to be pasted at another location. More...
 
void DefaultDraw ()
 Create default draw vector based upon the input product faces. More...
 
NXOpen::SectionDeleteExtendSection ()
 Deletes the NXOpen::Section used for extended constraint curve. More...
 
void DeleteSections ()
 Delete addendum sections from NXOpen::Die::AddendumSectionBuilder::Sections . More...
 
double DistanceTolerance ()
 Returns the distance tolerance. More...
 
NXOpen::DirectionDrawDirection ()
 Returns the draw direction. More...
 
void EditBlendSection (NXOpen::Curve *section, double radius)
 Edit radius value of blend section. More...
 
NXOpen::CurveEditedConstraintCurve ()
 Returns the edited constraint curve. More...
 
NXOpen::GeometricUtilities::CurveLengthDataExtendData ()
 Returns the object used to extend the constraint curve which is accessed via NXOpen::Die::AddendumSectionBuilder::ConstraintCurve . More...
 
NXOpen::ExpressionExtendEndDistance ()
 Returns the distance to extend the end of the constraint curve. More...
 
NXOpen::ExpressionExtendStartDistance ()
 Returns the distance to extend the start of the constraint curve. More...
 
double FacetDensity ()
 Returns the facet density. More...
 
void InitializeEditParameters (NXOpen::Curve *section)
 Initializes environment to start editing parameters of a section. More...
 
NXOpen::Die::DieLimitsBuilderLimits ()
 Returns the limits to control the span of the preview surface
Created in NX7.5.0. More...
 
NXOpen::Die::AddendumSectionBuilder::SectionLocationType LocationType ()
 Returns the location where the section will be created. More...
 
void LockSegment (NXOpen::Curve *section, NXOpen::Die::AddendumSectionBuilder::SegmentType segment, NXOpen::Die::AddendumSectionBuilder::SegmentParameterType type)
 Lock a segment parameter value. More...
 
NXOpen::ExpressionMaximumPositive ()
 Returns the maximum positive trim angle. More...
 
NXOpen::ExpressionMinimumDraftAngle ()
 Returns the minimum draft angle. More...
 
NXOpen::ExpressionMinimumNegative ()
 Returns the minimum negative trim angle. More...
 
NXOpen::ExpressionMinimumRadius ()
 Returns the minimum radius. More...
 
NXOpen::ExpressionMinimumTrimLedge ()
 Returns the minimum trim ledge. More...
 
NXOpen::PlaneMirrorPlane ()
 Returns the mirror plane. More...
 
void MirrorSections ()
 Mirror sections using plane from NXOpen::Die::AddendumSectionBuilder::MirrorPlane . More...
 
void MoveSectionOrigin (NXOpen::Curve *section, const NXOpen::Point3d &newOrigin, int useSectionPlane)
 Moves addendum section to a new location. More...
 
NXOpen::SectionNeutralCurve ()
 Returns the neutral curve. More...
 
void PasteSection ()
 Paste section. More...
 
void PasteSectionFromCurve (NXOpen::Curve *curve)
 Creates a section by reading the section parameters from the input curve and pasting at the location specified by NXOpen::Die::AddendumSectionBuilder::SectionPoint. More...
 
NXOpen::ExpressionPlusLength ()
 Returns the minimum plus length. More...
 
NXOpen::ScCollectorProduct ()
 Returns the product faces. More...
 
void RecreateSections ()
 Re-create all existing sections because of a change in the draw direction or product faces. More...
 
void Reinitialize ()
 Reinitialize the environment after changes to input data such as draw vector or product faces
Created in NX7.5.0. More...
 
void ReplaceConstraintCurve (NXOpen::Curve *editedCurve)
 Replaces the constraint curve with an edited curve. More...
 
void ReplaceSectionCurve (NXOpen::Curve *section)
 Replaces the current section with the edited one. More...
 
void ResetSection (NXOpen::Curve *section)
 Resets the section to the last saved state. More...
 
NXOpen::Die::AddendumSectionBuilder::SectionOrientationType SectionOrientation ()
 Returns the section orientation. More...
 
NXOpen::PlaneSectionPlane ()
 Returns the section plane. More...
 
NXOpen::PointSectionPoint ()
 Returns the origin point where the section will be located. More...
 
NXOpen::SelectDisplayableObjectListSections ()
 Returns the addendum sections to edit. More...
 
NXOpen::Die::AddendumSectionBuilder::SectionShapeType SectionShape ()
 Returns the section shape. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the angle tolerance. More...
 
void SetCurveToExtend (NXOpen::Curve *curve)
 Sets the constraint curve to extend. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance. More...
 
void SetDrawDirection (NXOpen::Direction *punchDirection)
 Sets the draw direction. More...
 
void SetEditedConstraintCurve (NXOpen::Curve *curve)
 Sets the edited constraint curve. More...
 
void SetFacetDensity (double facetDensity)
 Sets the facet density. More...
 
void SetLocationType (NXOpen::Die::AddendumSectionBuilder::SectionLocationType locationType)
 Sets the location where the section will be created. More...
 
void SetMirrorPlane (NXOpen::Plane *mirrorPlane)
 Sets the mirror plane. More...
 
void SetSectionOrientation (NXOpen::Die::AddendumSectionBuilder::SectionOrientationType sectionOrientation)
 Sets the section orientation. More...
 
void SetSectionPlane (NXOpen::Plane *sectionPlane)
 Sets the section plane. More...
 
void SetSectionPoint (NXOpen::Point *sectionPoint)
 Sets the origin point where the section will be located. More...
 
void SetSectionShape (NXOpen::Die::AddendumSectionBuilder::SectionShapeType sectionShape)
 Sets the section shape. More...
 
void SetSurfaceBuildMethod (NXOpen::Die::AddendumSectionBuilder::SurfaceBuildType surfaceBuildMethod)
 Sets the addendum surface build method. More...
 
void SmoothCurve ()
 Smooth the constraint curve using the radius supplied by NXOpen::Die::AddendumSectionBuilder::SmoothRadius . More...
 
NXOpen::ExpressionSmoothRadius ()
 Returns the smoothing radius for the constraint curve used by NXOpen::Die::AddendumSectionBuilder::SmoothCurve . More...
 
NXOpen::Die::AddendumSectionBuilder::SurfaceBuildType SurfaceBuildMethod ()
 Returns the addendum surface build method. More...
 
void TerminateEditParameters (NXOpen::Curve *section)
 Cleans up environment after editing parameters of a section. More...
 
NXOpen::ExpressionTranslateDistance ()
 Returns the translate distance used by NXOpen::Die::AddendumSectionBuilder::TranslateWall . More...
 
void TranslateWall ()
 Translate the constraint curve in the direction of the last wall segment of the addendum section using the distance supplied by NXOpen::Die::AddendumSectionBuilder::TranslateDistance . More...
 
void TrimExtendConstraintCurve (NXOpen::Section *constraintCurve)
 Trims or extends constraint curve. More...
 
void UnlockSegment (NXOpen::Curve *section, NXOpen::Die::AddendumSectionBuilder::SegmentType segment, NXOpen::Die::AddendumSectionBuilder::SegmentParameterType type)
 Unlock a segment parameter value. More...
 
void UpdateSection (NXOpen::Curve *section)
 Updates section after editing segments via NXOpen::Die::AddendumSectionBuilder::UpdateSegment . More...
 
void UpdateSectionAttributes (NXOpen::Curve *section)
 Updates the section attributes. More...
 
void UpdateSectionsAfterConstraintChange ()
 Called to update the section when constraint curve or constraint surface is changed. More...
 
double UpdateSegment (bool temporary, NXOpen::Curve *section, NXOpen::Die::AddendumSectionBuilder::SegmentType segment, double lengthRadius, double angle)
 Updates length or angle value of a segment. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Die::AddendumSectionBuilder which is used to create or edit an addendum section.


To create a new instance of this class, use NXOpen::Die::DieCollection::CreateAddendumSectionBuilder

Created in NX7.5.0.

Member Enumeration Documentation

The settings indicating the location of the section being created.

Enumerator
SectionLocationTypeAtPoint 

Create section at a point.

SectionLocationTypeAtPlane 

Create section at a plane.

SectionLocationTypeWithCurve 

Create section by approximating curves.

The settings to indicate the section orientation.

Enumerator
SectionOrientationTypeDefault 

Orient perpendicular to tangency curve.

SectionOrientationTypeThreeDPerpendicular 

Orient 3D perpendicular to tangency curve.

SectionOrientationTypeConjugate 

Use conjugate orientation.

SectionOrientationTypeIsoparametric 

Orient along isoparametric line of closest face.

SectionOrientationTypeIncidentEdge 

Orient from incident edge.

SectionOrientationTypeBlank 

No orientation.

The settings to indicate the section shape.

Enumerator
SectionShapeTypeBasic 

Section consists of all segments in a step like shape.

SectionShapeTypeDrawBar 

Section consists of all segments in a draw bar shape.

SectionShapeTypeSimple 

Section consists of trim ledge, punch radius, and second stretch wall segments.

SectionShapeTypeChannel 

Section consists of all segments in a channel shape.

SectionShapeTypeBlend 

Section consists of a single radius type segment to define the blend shape.

SectionShapeTypeExtension 

Section consists of a plus segment only.

SectionShapeTypeSystem 

Section shape determined by blending neighboring sections.

SectionShapeTypeUserDefined 

Section shape is user defined.

SectionShapeTypeReuse 

Section shape is read from reuse library.

SectionShapeTypeBlank 

No section shape.

The settings to indicate which parameter of the segment to lock.

Enumerator
SegmentParameterTypeLength 

The length parameter of a straight segment.

SegmentParameterTypeAngle 

The angle parameter of a straight segment.

SegmentParameterTypeRadius 

The radius parameter of an arc segment.

SegmentParameterTypeArcLength 

The arc length parameter of an arc segment.

The settings to indicate the segment type to update.

Enumerator
SegmentTypePlus 

Update plus segment.

SegmentTypePunch 

Update punch segment.

SegmentTypeFirstStretchWall 

Update first stretch wall segment.

SegmentTypeReverse 

Update reverse segment.

SegmentTypeTrimLedge 

Update trim ledge segment.

SegmentTypeDiePunch 

Update die punch segment.

SegmentTypeSecondStretchWall 

Update second stretch wall segment.

SegmentTypeDieReverse 

Update die reverse segment.

SegmentTypeFlatToBead 

Update flat to bead segment.

The settings to indicate the surface type.

Enumerator
SurfaceBuildTypeNoSurface 

Do not create a surface.

SurfaceBuildTypeSectional 

Create sectional sweep surface.

SurfaceBuildTypeCurveMesh 

Create curve mesh surface.

SurfaceBuildTypeChannelTunnelCap 

Create channel tunnel cap surface.

SurfaceBuildTypeMultipleFaceBlend 

Create multiple face blend surface.

SurfaceBuildTypeWallsOnly 

Create walls only surface.

SurfaceBuildTypeDiskFaceBlend 

Create disc blend surface.

SurfaceBuildTypeSphereFaceBlend 

Create spherical blend surface.

Member Function Documentation

double NXOpen::Die::AddendumSectionBuilder::AngleTolerance ( )

Returns the angle tolerance.


Created in NX7.5.0.

License requirements : None

NXOpen::Die::DieAttributesBuilder* NXOpen::Die::AddendumSectionBuilder::Attributes ( )

Returns the color and string attributes of the section.


Created in NX7.5.0.

License requirements : None

NXOpen::Section* NXOpen::Die::AddendumSectionBuilder::ByCurves ( )

Returns the curves used to approximate an addendum section.


Created in NX7.5.0.

License requirements : None

void NXOpen::Die::AddendumSectionBuilder::ChangeSectionPlane ( NXOpen::Curve section,
NXOpen::Direction plane 
)

Changes the section orientation.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionSection to edit.
planeNew section orientation plane.
NXOpen::ScCollector* NXOpen::Die::AddendumSectionBuilder::ConstraintCurve ( )

Returns the constraint curve.


Created in NX7.5.0.

License requirements : None

NXOpen::Curve* NXOpen::Die::AddendumSectionBuilder::ConstraintCurveToEdit ( )

Returns the constraint curve to edit.

This function will read the objects using NXOpen::Die::AddendumSectionBuilder::ConstraintCurve . and if needed create a non-associative curve to be used by the edit curve functions. The only case where it will not create a curve is if there is only one non-associative spline on the selection.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::ScCollector* NXOpen::Die::AddendumSectionBuilder::ConstraintFaces ( )

Returns the constraint faces.


Created in NX7.5.0.

License requirements : None

void NXOpen::Die::AddendumSectionBuilder::CopySection ( NXOpen::Curve section,
bool  copyPlaneData 
)

Copies addendum section in order to be pasted at another location.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionSection to copy.
copyPlaneDataIndicates whether to copy the orientation plane of the section.
NXOpen::Section* NXOpen::Die::AddendumSectionBuilder::CreateExtendSection ( )

Creates a NXOpen::Section object containing the extended constraint curve.

Returns

Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Die::AddendumSectionBuilder::CreateSection ( )

Create addendum section using previously supplied parameters.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Die::AddendumSectionBuilder::CreateSectionFromReuse ( const NXString fileName)

Creates a section using the information stored in the reuse library.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
fileNamename of reuse library containing addendum section information
void NXOpen::Die::AddendumSectionBuilder::CreateSectionFromReuse ( const char *  fileName)

Creates a section using the information stored in the reuse library.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
fileNamename of reuse library containing addendum section information
NXOpen::Curve* NXOpen::Die::AddendumSectionBuilder::CurveToExtend ( )

Returns the constraint curve to extend.


Created in NX7.5.0.

License requirements : None

void NXOpen::Die::AddendumSectionBuilder::CutSection ( NXOpen::Curve section,
bool  copyPlaneData 
)

Cuts section in order to be pasted at another location.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionSection to cut.
copyPlaneDataIndicates whether to copy the orientation plane of the section.
void NXOpen::Die::AddendumSectionBuilder::DefaultDraw ( )

Create default draw vector based upon the input product faces.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Section* NXOpen::Die::AddendumSectionBuilder::DeleteExtendSection ( )

Deletes the NXOpen::Section used for extended constraint curve.

Returns
NXOpen::Section to delete.
Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Die::AddendumSectionBuilder::DeleteSections ( )

Delete addendum sections from NXOpen::Die::AddendumSectionBuilder::Sections .


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

double NXOpen::Die::AddendumSectionBuilder::DistanceTolerance ( )

Returns the distance tolerance.


Created in NX7.5.0.

License requirements : None

NXOpen::Direction* NXOpen::Die::AddendumSectionBuilder::DrawDirection ( )

Returns the draw direction.


Created in NX7.5.0.

License requirements : None

void NXOpen::Die::AddendumSectionBuilder::EditBlendSection ( NXOpen::Curve section,
double  radius 
)

Edit radius value of blend section.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionBlend section to edit.
radiusNew radius value.
NXOpen::Curve* NXOpen::Die::AddendumSectionBuilder::EditedConstraintCurve ( )

Returns the edited constraint curve.


Created in NX7.5.0.

License requirements : None

NXOpen::GeometricUtilities::CurveLengthData* NXOpen::Die::AddendumSectionBuilder::ExtendData ( )

Returns the object used to extend the constraint curve which is accessed via NXOpen::Die::AddendumSectionBuilder::ConstraintCurve .

Need to call function NXOpen::Die::AddendumSectionBuilder::CreateExtendSection before calling this function.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Die::AddendumSectionBuilder::ExtendEndDistance ( )

Returns the distance to extend the end of the constraint curve.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Die::AddendumSectionBuilder::ExtendStartDistance ( )

Returns the distance to extend the start of the constraint curve.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

double NXOpen::Die::AddendumSectionBuilder::FacetDensity ( )

Returns the facet density.


Created in NX7.5.0.

License requirements : None

void NXOpen::Die::AddendumSectionBuilder::InitializeEditParameters ( NXOpen::Curve section)

Initializes environment to start editing parameters of a section.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionSection to edit.
NXOpen::Die::DieLimitsBuilder* NXOpen::Die::AddendumSectionBuilder::Limits ( )

Returns the limits to control the span of the preview surface
Created in NX7.5.0.



License requirements : None

NXOpen::Die::AddendumSectionBuilder::SectionLocationType NXOpen::Die::AddendumSectionBuilder::LocationType ( )

Returns the location where the section will be created.


Created in NX7.5.0.

License requirements : None

void NXOpen::Die::AddendumSectionBuilder::LockSegment ( NXOpen::Curve section,
NXOpen::Die::AddendumSectionBuilder::SegmentType  segment,
NXOpen::Die::AddendumSectionBuilder::SegmentParameterType  type 
)

Lock a segment parameter value.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionSection to update.
segmentSegment to update.
typeSegment parameter to lock.
NXOpen::Expression* NXOpen::Die::AddendumSectionBuilder::MaximumPositive ( )

Returns the maximum positive trim angle.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::AddendumSectionBuilder::MinimumDraftAngle ( )

Returns the minimum draft angle.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::AddendumSectionBuilder::MinimumNegative ( )

Returns the minimum negative trim angle.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::AddendumSectionBuilder::MinimumRadius ( )

Returns the minimum radius.


Created in NX7.5.0.

License requirements : None

NXOpen::Expression* NXOpen::Die::AddendumSectionBuilder::MinimumTrimLedge ( )

Returns the minimum trim ledge.


Created in NX7.5.0.

License requirements : None

NXOpen::Plane* NXOpen::Die::AddendumSectionBuilder::MirrorPlane ( )

Returns the mirror plane.


Created in NX7.5.0.

License requirements : None

void NXOpen::Die::AddendumSectionBuilder::MirrorSections ( )

Mirror sections using plane from NXOpen::Die::AddendumSectionBuilder::MirrorPlane .


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Die::AddendumSectionBuilder::MoveSectionOrigin ( NXOpen::Curve section,
const NXOpen::Point3d newOrigin,
int  useSectionPlane 
)

Moves addendum section to a new location.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionSection to move.
newOriginPoint Coordinates of new origin.
useSectionPlaneNon-zero value indicates that the orientation plane of the section is to be kept when the section is moved.
NXOpen::Section* NXOpen::Die::AddendumSectionBuilder::NeutralCurve ( )

Returns the neutral curve.


Created in NX7.5.0.

License requirements : None

void NXOpen::Die::AddendumSectionBuilder::PasteSection ( )

Paste section.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Die::AddendumSectionBuilder::PasteSectionFromCurve ( NXOpen::Curve curve)

Creates a section by reading the section parameters from the input curve and pasting at the location specified by NXOpen::Die::AddendumSectionBuilder::SectionPoint.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
curveSection to edit.
NXOpen::Expression* NXOpen::Die::AddendumSectionBuilder::PlusLength ( )

Returns the minimum plus length.


Created in NX7.5.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Die::AddendumSectionBuilder::Product ( )

Returns the product faces.


Created in NX7.5.0.

License requirements : None

void NXOpen::Die::AddendumSectionBuilder::RecreateSections ( )

Re-create all existing sections because of a change in the draw direction or product faces.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Die::AddendumSectionBuilder::Reinitialize ( )

Reinitialize the environment after changes to input data such as draw vector or product faces
Created in NX7.5.0.



License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Die::AddendumSectionBuilder::ReplaceConstraintCurve ( NXOpen::Curve editedCurve)

Replaces the constraint curve with an edited curve.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
editedCurveNew edited curve to replace existing constraint curve.
void NXOpen::Die::AddendumSectionBuilder::ReplaceSectionCurve ( NXOpen::Curve section)

Replaces the current section with the edited one.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionSection to edit.
void NXOpen::Die::AddendumSectionBuilder::ResetSection ( NXOpen::Curve section)

Resets the section to the last saved state.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionSection to reset.
NXOpen::Die::AddendumSectionBuilder::SectionOrientationType NXOpen::Die::AddendumSectionBuilder::SectionOrientation ( )

Returns the section orientation.


Created in NX7.5.0.

License requirements : None

NXOpen::Plane* NXOpen::Die::AddendumSectionBuilder::SectionPlane ( )

Returns the section plane.


Created in NX7.5.0.

License requirements : None

NXOpen::Point* NXOpen::Die::AddendumSectionBuilder::SectionPoint ( )

Returns the origin point where the section will be located.


Created in NX7.5.0.

License requirements : None

NXOpen::SelectDisplayableObjectList* NXOpen::Die::AddendumSectionBuilder::Sections ( )

Returns the addendum sections to edit.


Created in NX7.5.0.

License requirements : None

NXOpen::Die::AddendumSectionBuilder::SectionShapeType NXOpen::Die::AddendumSectionBuilder::SectionShape ( )

Returns the section shape.


Created in NX7.5.0.

License requirements : None

void NXOpen::Die::AddendumSectionBuilder::SetAngleTolerance ( double  angleTolerance)

Sets the angle tolerance.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
angleToleranceangletolerance
void NXOpen::Die::AddendumSectionBuilder::SetCurveToExtend ( NXOpen::Curve curve)

Sets the constraint curve to extend.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
curvecurve
void NXOpen::Die::AddendumSectionBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Die::AddendumSectionBuilder::SetDrawDirection ( NXOpen::Direction punchDirection)

Sets the draw direction.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
punchDirectionpunchdirection
void NXOpen::Die::AddendumSectionBuilder::SetEditedConstraintCurve ( NXOpen::Curve curve)

Sets the edited constraint curve.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
curvecurve
void NXOpen::Die::AddendumSectionBuilder::SetFacetDensity ( double  facetDensity)

Sets the facet density.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
facetDensityfacetdensity
void NXOpen::Die::AddendumSectionBuilder::SetLocationType ( NXOpen::Die::AddendumSectionBuilder::SectionLocationType  locationType)

Sets the location where the section will be created.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
locationTypelocationtype
void NXOpen::Die::AddendumSectionBuilder::SetMirrorPlane ( NXOpen::Plane mirrorPlane)

Sets the mirror plane.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
mirrorPlanemirrorplane
void NXOpen::Die::AddendumSectionBuilder::SetSectionOrientation ( NXOpen::Die::AddendumSectionBuilder::SectionOrientationType  sectionOrientation)

Sets the section orientation.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionOrientationsectionorientation
void NXOpen::Die::AddendumSectionBuilder::SetSectionPlane ( NXOpen::Plane sectionPlane)

Sets the section plane.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionPlanesectionplane
void NXOpen::Die::AddendumSectionBuilder::SetSectionPoint ( NXOpen::Point sectionPoint)

Sets the origin point where the section will be located.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionPointsectionpoint
void NXOpen::Die::AddendumSectionBuilder::SetSectionShape ( NXOpen::Die::AddendumSectionBuilder::SectionShapeType  sectionShape)

Sets the section shape.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionShapesectionshape
void NXOpen::Die::AddendumSectionBuilder::SetSurfaceBuildMethod ( NXOpen::Die::AddendumSectionBuilder::SurfaceBuildType  surfaceBuildMethod)

Sets the addendum surface build method.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
surfaceBuildMethodsurfacebuildmethod
void NXOpen::Die::AddendumSectionBuilder::SmoothCurve ( )

Smooth the constraint curve using the radius supplied by NXOpen::Die::AddendumSectionBuilder::SmoothRadius .


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Die::AddendumSectionBuilder::SmoothRadius ( )

Returns the smoothing radius for the constraint curve used by NXOpen::Die::AddendumSectionBuilder::SmoothCurve .


Created in NX7.5.0.

License requirements : None

NXOpen::Die::AddendumSectionBuilder::SurfaceBuildType NXOpen::Die::AddendumSectionBuilder::SurfaceBuildMethod ( )

Returns the addendum surface build method.


Created in NX7.5.0.

License requirements : None

void NXOpen::Die::AddendumSectionBuilder::TerminateEditParameters ( NXOpen::Curve section)

Cleans up environment after editing parameters of a section.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionEdited section.
NXOpen::Expression* NXOpen::Die::AddendumSectionBuilder::TranslateDistance ( )

Returns the translate distance used by NXOpen::Die::AddendumSectionBuilder::TranslateWall .


Created in NX7.5.0.

License requirements : None

void NXOpen::Die::AddendumSectionBuilder::TranslateWall ( )

Translate the constraint curve in the direction of the last wall segment of the addendum section using the distance supplied by NXOpen::Die::AddendumSectionBuilder::TranslateDistance .


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Die::AddendumSectionBuilder::TrimExtendConstraintCurve ( NXOpen::Section constraintCurve)

Trims or extends constraint curve.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
constraintCurveConstraint curve to modify
void NXOpen::Die::AddendumSectionBuilder::UnlockSegment ( NXOpen::Curve section,
NXOpen::Die::AddendumSectionBuilder::SegmentType  segment,
NXOpen::Die::AddendumSectionBuilder::SegmentParameterType  type 
)

Unlock a segment parameter value.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionSection to update.
segmentSegment to update.
typeSegment parameter to unlock.
void NXOpen::Die::AddendumSectionBuilder::UpdateSection ( NXOpen::Curve section)

Updates section after editing segments via NXOpen::Die::AddendumSectionBuilder::UpdateSegment .

This makes permanent the temporary changes so that any future calls to NXOpen::Die::AddendumSectionBuilder::ResetSection will reset the section to this state.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionSection being edited.
void NXOpen::Die::AddendumSectionBuilder::UpdateSectionAttributes ( NXOpen::Curve section)

Updates the section attributes.

You must call NXOpen::Die::AddendumSectionBuilder::Attributes first in order to set the attributes to be updated.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
sectionSection to edit.
void NXOpen::Die::AddendumSectionBuilder::UpdateSectionsAfterConstraintChange ( )

Called to update the section when constraint curve or constraint surface is changed.


Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

double NXOpen::Die::AddendumSectionBuilder::UpdateSegment ( bool  temporary,
NXOpen::Curve section,
NXOpen::Die::AddendumSectionBuilder::SegmentType  segment,
double  lengthRadius,
double  angle 
)

Updates length or angle value of a segment.

Returns
Computed flange length value.
Created in NX7.5.0.

License requirements : die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
Parameters
temporaryIndicates that change to section is temporary in that NXOpen::Die::AddendumSectionBuilder::ResetSection can be called to undo changes.
sectionSection to update.
segmentSegment to update.
lengthRadiusValue for the new Length/Radius of the segment.
angleValue for the angle of the segment.

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.